# TCGBPurchasableItem Class Reference

Inherits from | NSObject
Declared in | TCGBPurchasableItem.h TCGBPurchasableItem.m

## Overview

The TCGBPurchasableItem class is VO class of item entity.

## Properties

### `itemSeq`

itemSeq

`@property (assign) long itemSeq`

#### Discussion

Item Sequence which is the number presented in NHN Cloud IAP Console.

#### Declared In

`TCGBPurchasableItem.h`

### `price`

item price

`@property (assign) float price`

#### Discussion

This value is from the market.

Warning: If there is no price data, it will be initialized to -1

#### Declared In

`TCGBPurchasableItem.h`

### `itemName`

item name

`@property (nonatomic, strong) NSString *itemName`

#### Discussion

Item name is from NHN Cloud IAP Console.

#### Declared In

`TCGBPurchasableItem.h`

### `marketId`

marketId

`@property (nonatomic, strong) NSString *marketId`

#### Discussion

which is actually AS.

#### Declared In

`TCGBPurchasableItem.h`

### `marketItemId`

marketItemId

`@property (nonatomic, strong) NSString *marketItemId`

#### Discussion

ItemID which is registered at market(itunesconnect).

#### Declared In

`TCGBPurchasableItem.h`

### `gamebaseProductId`

gamebaseProductId

`@property (nonatomic, strong) NSString *gamebaseProductId`

#### Discussion

ItemID which is registered at IAP Console.

#### Declared In

`TCGBPurchasableItem.h`

### `currency`

currency currency which is registered at market.

`@property (nonatomic, strong) NSString *currency`

#### Declared In

`TCGBPurchasableItem.h`

### `usingStatus`

usingStatus

`@property (nonatomic, strong) NSString *usingStatus`

#### Discussion

This string value represent if this item is available.

#### Declared In

`TCGBPurchasableItem.h`

### `localizedPrice`

localizedPrice

`@property (nonatomic, strong) NSString *localizedPrice`

#### Discussion

This string value represent price with currency.

#### Declared In

`TCGBPurchasableItem.h`

### `localizedTitle`

localizedTitle localizedTitle which is registered at market.

`@property (nonatomic, strong) NSString *localizedTitle`

#### Declared In

`TCGBPurchasableItem.h`

### `localizedDescription`

localizedDescription localizedDescription which is registered at market.

`@property (nonatomic, strong) NSString *localizedDescription`

#### Declared In

`TCGBPurchasableItem.h`

### `productType`

productType

`@property (nonatomic, strong) NSString *productType`

#### Discussion

This string value represent type of product. (CONSUMABLE, UNKNOWN, AUTO_RENEWABLE, CONSUMABLE_AUTO_RENEWABLE)

#### Declared In

`TCGBPurchasableItem.h`

### `active`

active

`@property (nonatomic, assign, getter=isActive) BOOL active`

#### Discussion

This boolean value represent

#### Declared In

`TCGBPurchasableItem.h`

## Allocation

### `+ gamebaseProductWithDictionary:`

Initialize the class with JSON Value.

`+ (instancetype)gamebaseProductWithDictionary:(NSDictionary<NSString*,id> *)result`

#### Parameters

`result` | result is a json formatted NSDictionary object. This is from Gamebase Server.

#### Return Value

Instance being initialized.

#### Declared In

`TCGBPurchasableItem.h`